X
Tap here to go to the mobile version of the site.

Support Forum

How to get the latest xulrunner build via the latest version of firefox on my local machine?

Posted

I have been using firefox-10.0.6esr.source.tar to build the and use the XULrunner available in the same, in my local machine for my development purpose. Now i want to upgrade to higher version of XULrunner, i.e version 41.0.2. However i see that Firefox is now missing the xulrunner folder from its main folder layout. I am not able to build the xulrunner, as i used to do in my older version of firefox. Can you please let me know how can i get to build the latest verison of xulrunner source code, via the latest firefox (manually in my local)? Attaching the images of folder structure from firefox-10.0.6esr and firefox-58.0. Image from firefox-58.0 is missing the 'xulrunner' folder

Which is the correct source code to be downloaded to get the latest version of xulrunner?

I have been using firefox-10.0.6esr.source.tar to build the and use the XULrunner available in the same, in my local machine for my development purpose. Now i want to upgrade to higher version of XULrunner, i.e version 41.0.2. However i see that Firefox is now missing the xulrunner folder from its main folder layout. I am not able to build the xulrunner, as i used to do in my older version of firefox. Can you please let me know how can i get to build the latest verison of xulrunner source code, via the latest firefox (manually in my local)? Attaching the images of folder structure from firefox-10.0.6esr and firefox-58.0. Image from firefox-58.0 is missing the 'xulrunner' folder Which is the correct source code to be downloaded to get the latest version of xulrunner?
Quote

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.116 Safari/537.36 Edge/15.15063

More Information

the-edmeister
  • Top 10 Contributor
  • Moderator
5271 solutions 39029 answers

Helpful Reply

41.0.2 is the last version of XULRunner. It's obsolete now. https://www.google.com/search?q=site:developer.mozilla.org%20xulrunner&ie=utf-8&oe=utf-8&lr=lang_en
Was this helpful to you? 1
Quote

Question owner

Thanks for the reply. I get that there are no higher version after 41.0.2.

But question here is, is there an option to get the same version's source code (XULrunner 41.0.2) from the latest firefox source code? Or rather, which is the last version of firefox from which I can get the xulrunner built? Is it firefox 45.0.2? or is there a higher version?

Thanks for the reply. I get that there are no higher version after 41.0.2. But question here is, is there an option to get the same version's source code (XULrunner 41.0.2) from the latest firefox source code? Or rather, which is the last version of firefox from which I can get the xulrunner built? Is it firefox 45.0.2? or is there a higher version?
Was this helpful to you?
Quote
cor-el
  • Top 10 Contributor
  • Moderator
16395 solutions 147930 answers

Helpful Reply

You can use the -app command line switch.

firefox -app path_to/application.ini
You can use the -app command line switch. firefox -app path_to/application.ini *https://developer.mozilla.org/en-US/docs/Mozilla/Command_Line_Options#XULRunner
Was this helpful to you? 1
Quote

Question owner

cor-el said

You can use the -app command line switch. firefox -app path_to/application.ini


Thanks for this info.. So does this mean we cannot even build the XULrunner 41.0.2 version from the latest firefox version?

''cor-el [[#answer-1104225|said]]'' <blockquote> You can use the -app command line switch. firefox -app path_to/application.ini *https://developer.mozilla.org/en-US/docs/Mozilla/Command_Line_Options#XULRunner </blockquote> Thanks for this info.. So does this mean we cannot even build the XULrunner 41.0.2 version from the latest firefox version?

Modified by Reshmi

Was this helpful to you?
Quote

Question owner

the-edmeister said

41.0.2 is the last version of XULRunner. It's obsolete now. https://www.google.com/search?q=site:developer.mozilla.org%20xulrunner&ie=utf-8&oe=utf-8&lr=lang_en

Thanks for this info.. So does this mean we cannot even build the XULrunner 41.0.2 version from the latest firefox version?

''the-edmeister [[#answer-1104078|said]]'' <blockquote> 41.0.2 is the last version of XULRunner. It's obsolete now. https://www.google.com/search?q=site:developer.mozilla.org%20xulrunner&ie=utf-8&oe=utf-8&lr=lang_en </blockquote> Thanks for this info.. So does this mean we cannot even build the XULrunner 41.0.2 version from the latest firefox version?
Was this helpful to you?
Quote
cor-el
  • Top 10 Contributor
  • Moderator
16395 solutions 147930 answers
// Allow firefox.exe to launch XULRunner apps via -app <application.ini>
// Note that -app must be the *first* argument.

Firefox (from version 3) ships with a private XULRunner package, which can run any compatible XULRunner application using the -app switch: firefox -app application.ini is equivalent to xulrunner -app application.ini

*https://dxr.mozilla.org/mozilla-release/source/browser/app/nsBrowserApp.cpp#`166 // Allow firefox.exe to launch XULRunner apps via -app <application.ini> // Note that -app must be the *first* argument. ---- *https://developer.mozilla.org/en-US/docs/Archive/Mozilla/XULRunner Firefox (from version 3) ships with a private XULRunner package, which can run any compatible XULRunner application using the -app switch: firefox -app application.ini is equivalent to xulrunner -app application.ini
Was this helpful to you?
Quote
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.